from django.urls import path
from .views import ( coils, production, 
                    in_production, 
                    produced_items, 
                    quotation_detail, 
                    quotation_production, 
                    allocate_coil, 
                    update_coil_usage, 
                    accept_coil_request, 
                    request_coil,
                    allow_production_view)

app_name = "production"
urlpatterns = [ 
    path('', production, name= "production"),
    path('produced', produced_items, name="produced-items"),
    path('coils', coils, name="coils"),
    path('in-production', in_production, name="in-production"),
    path('quotation/<int:id>/', quotation_detail, name='quotation_detail'),
    path('quotation_production/<int:quotation_id>/', quotation_production, name='quotation_production'),
 
    path('allocate-coil/<int:inquiry_id>/', allocate_coil, name='allocate_coil'),
    path('update-coil-usage/', update_coil_usage, name='update_coil_usage'),

    
    path('allow_production/<int:quotation_id>/', allow_production_view, name='allow_production'), 
    path('request_coil/<int:inquiry_id>/<int:quotation_id>/', request_coil, name='request_coil'),
    path('accept_coil_request/<int:inquiry_id>/<int:quotation_id>/', accept_coil_request, name='accept_coil_request'),
]
